=== debian/changelog ===
ksmtp (17.12.2-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Initial packaging

  [ Rik Mills ]
  * New upstream release (17.12.2)
  * Initial release to Ubuntu (LP: #1751760)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 26 Feb 2018 11:40:18 +0000
