## ksmtp 18.04.3

=== debian/changelog ===
ksmtp (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:36 +0100

ksmtp (17.12.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (17.17.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 02 Jun 2018 11:25:23 +0100
