## ksmtp 18.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,13 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.7.2")
+set(PIM_VERSION "5.9.3")
 
 project(KSMTP VERSION ${PIM_VERSION})
-option(RUN_UNINSTALL "test run uninstalled apps (experimental)" FALSE)
 
 # ECM setup
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.47.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${KSMTP_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
@@ -24,8 +23,7 @@
 
 
 set(KSMTP_LIB_VERSION ${PIM_VERSION})
-set(QT5_REQUIRED_VERSION "5.7.2")
-set(KMIME_LIB_VERSION "5.7.2")
+set(QT_REQUIRED_VERSION "5.9.0")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KSMTP
     VERSION_HEADER ${KSMTP_BINARY_DIR}/ksmtp_version.h
     PACKAGE_VERSION_FILE ${KSMTP_BINARY_DIR}/KPimSMTPConfigVersion.cmake
@@ -39,9 +37,6 @@
 find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
-
-find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
-
 
 find_package(Sasl2)
 set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)
