=== debian/changelog ===
ksmtp (18.08.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:43:09 +0800

ksmtp (18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * ksmtp does not depend at KMime.
  * New upstream release (18.08.3).
  * Bump Standards-Version to 4.3.0 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:59:21 +0100

ksmtp (18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * New upstream release (18.08.1).
  * Follow stable releases in KDE again.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:18:19 +0200

ksmtp (18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 18.07.90.
  * Use DebianABIManager to handle libkpimsmtp5.
  * Update library from libkpimsmtp5 -> libkpimsmtp5abi1.
  * Split out arch independent data into libkpimsmtp-data.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Fri, 17 Aug 2018 18:17:35 +0200

ksmtp (17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add upstream metadata (DEP-12).
  * Update package descriptions.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:26:45 +0200

ksmtp (17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Initial packaging (Closes: #886170)

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:15:04 +0100
