=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libkf5coreaddons-dev (>= 5.39.0~),
                libkf5i18n-dev (>= 5.39.0~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5mime-dev (>= 18.12.3~),
+               libkf5mime-dev (>= 19.04.3~),
                libsasl2-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.7.0~),
@@ -22,7 +22,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5coreaddons-dev (>= 5.39.0~),
-         libkf5mime-dev (>= 18.12.3~),
+         libkf5mime-dev (>= 19.04.3~),
          libkpimsmtp5 (= ${binary:Version}),
          ${misc:Depends},
 Description: library for handling SMTP data
