=== debian/control ===
Source: ksmtp
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5coreaddons-dev (>= 5.60.0~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5kio-dev (>= 5.60.0~),
               libsasl2-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.11.0~)
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/pim/ksmtp
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksmtp
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksmtp.git

Package: libkpimsmtp-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: library for handling SMTP data - arch independent files
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package contains the arch independent data for KPimSMTP.

Package: libkpimsmtp-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.60.0~),
         libkf5i18n-dev (>= 5.60.0~),
         libkpimsmtp5abi1 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends}
Description: library for handling SMTP data - devel files
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
 .
 This package contains the development files.

Package: libkpimsmtp5abi1
X-Debian-ABI: 1
X-CMake-Target: KPimSMTP
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
Provides: ${ABI:VirtualPackage}
