=== debian/changelog ===
ksmtp (19.12.3-0ubuntu2) focal; urgency=medium

  * libkpimsmtp5abi1: Add breaks/replaces on libkpimsmtp5 to fix
    upgrades.

 -- Rik Mills <rikmills@kde.org>  Wed, 15 Apr 2020 11:06:50 +0100

ksmtp (19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * Follow Debian ABI bumps.
  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:59:27 +0100

ksmtp (19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:32 +0100
