=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,10 @@
     sessionuiproxy.cpp
 )
 
-ecm_qt_declare_logging_category(ksmtp_SRCS HEADER ksmtp_debug.h IDENTIFIER KSMTP_LOG CATEGORY_NAME org.kde.pim.ksmtp)
+ecm_qt_declare_logging_category(ksmtp_SRCS HEADER ksmtp_debug.h
+        IDENTIFIER KSMTP_LOG CATEGORY_NAME org.kde.pim.ksmtp
+        DESCRIPTION "ksmtp (ksmtp)" EXPORT KSMTP
+        )
 
 add_library(KPimSMTP ${ksmtp_SRCS})
 
@@ -62,6 +65,7 @@
     ${KSMTP_CamelCase_HEADERS}
     DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim/KSMTP/KSMTP
 )
+ecm_qt_install_logging_categories(EXPORT KSMTP FILE ksmtp.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
 ecm_generate_pri_file(BASE_NAME KSMTP LIB_NAME KPimSMTP DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/KPim/KSMTP)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
